For the complete documentation index, see llms.txt. This page is also available as Markdown.

Statistics

Traffic used per hour, day or week (UTC)

get
Authorizations
AuthorizationstringRequired

Bearer authentication with sentinel token for users.

You can use the following command to get the bearer token:

curl -d '{"username":"<username>", "password":"<password>", "pool":"<pool>"}' -H "Content-Type: application/json" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'

Substitute <username>, <password> and <pool> with your credentials. Use sentinel or sentinel-testnet as depending on the environment.

Query parameters
fromstringOptional

Start of the range (UTC, inclusive). A date (2026-10-01, midnight) or an RFC 3339 date-time (2026-10-01T08:30:00Z). Rounded down to 10 minutes. Defaults to the first day of the current month.

Example: 2026-10-01
tostringOptional

End of the range (UTC). A date means the whole day is included (2026-10-06 = until 2026-10-07T00:00:00Z); a date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today. The range is limited to 100 days.

Example: 2026-10-06
countrystringOptional

ISO 3166-1 alpha-2 country code

subscription_idstringOptional
product_idstringOptional
plan_idstringOptional
usernamestring[]Optional

Limit to these sub-users (API keys)

intervalstring · enumOptional

Bucket size. Buckets start at from; the last one ends at to.

Default: dayPossible values:
group_bystring · enumOptional

Also break traffic down per sub-user

Possible values:
Responses
200

OK

application/json
bytesinteger · int64Required
get/api/v3/stats/traffic
GET /api/v3/stats/traffic HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "buckets": [
    {
      "bytes": 1,
      "end": "2026-01-01T00:00:00.000Z",
      "partial": true,
      "start": "2026-01-01T00:00:00.000Z"
    }
  ],
  "bytes": 1,
  "filter": {
    "country": "text",
    "from": "2026-01-01T00:00:00.000Z",
    "interval": "day",
    "plan_id": "text",
    "product_id": "text",
    "status": [
      1
    ],
    "status_not": [
      1
    ],
    "subscription_id": "text",
    "to": "2026-01-01T00:00:00.000Z",
    "username": [
      "text"
    ]
  },
  "subusers": [
    {
      "buckets": [
        {
          "bytes": 1,
          "end": "2026-01-01T00:00:00.000Z",
          "partial": true,
          "start": "2026-01-01T00:00:00.000Z"
        }
      ],
      "bytes": 1,
      "username": "text"
    }
  ]
}

Requests per hour, day or week (UTC)

get
Authorizations
AuthorizationstringRequired

Bearer authentication with sentinel token for users.

You can use the following command to get the bearer token:

curl -d '{"username":"<username>", "password":"<password>", "pool":"<pool>"}' -H "Content-Type: application/json" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'

Substitute <username>, <password> and <pool> with your credentials. Use sentinel or sentinel-testnet as depending on the environment.

Query parameters
fromstringOptional

Start of the range (UTC, inclusive). A date (2026-10-01, midnight) or an RFC 3339 date-time (2026-10-01T08:30:00Z). Rounded down to 10 minutes. Defaults to the first day of the current month.

Example: 2026-10-01
tostringOptional

End of the range (UTC). A date means the whole day is included (2026-10-06 = until 2026-10-07T00:00:00Z); a date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today. The range is limited to 100 days.

Example: 2026-10-06
countrystringOptional

ISO 3166-1 alpha-2 country code

subscription_idstringOptional
product_idstringOptional
plan_idstringOptional
usernamestring[]Optional

Limit to these sub-users (API keys)

intervalstring · enumOptional

Bucket size. Buckets start at from; the last one ends at to.

Default: dayPossible values:
statusinteger[]Optional

Only requests that ended with these HTTP status codes

status_notinteger[]Optional

Exclude requests that ended with these HTTP status codes

Responses
200

OK

application/json
failedinteger · int64Required
succeededinteger · int64Required
get/api/v3/stats/requests
GET /api/v3/stats/requests HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "buckets": [
    {
      "end": "2026-01-01T00:00:00.000Z",
      "failed": 1,
      "partial": true,
      "start": "2026-01-01T00:00:00.000Z",
      "succeeded": 1
    }
  ],
  "failed": 1,
  "failed_reasons": [
    {
      "count": 1,
      "message": "text",
      "status": "text"
    }
  ],
  "filter": {
    "country": "text",
    "from": "2026-01-01T00:00:00.000Z",
    "interval": "day",
    "plan_id": "text",
    "product_id": "text",
    "status": [
      1
    ],
    "status_not": [
      1
    ],
    "subscription_id": "text",
    "to": "2026-01-01T00:00:00.000Z",
    "username": [
      "text"
    ]
  },
  "succeeded": 1
}

Top requested domains in the range

get
Authorizations
AuthorizationstringRequired

Bearer authentication with sentinel token for users.

You can use the following command to get the bearer token:

curl -d '{"username":"<username>", "password":"<password>", "pool":"<pool>"}' -H "Content-Type: application/json" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'

Substitute <username>, <password> and <pool> with your credentials. Use sentinel or sentinel-testnet as depending on the environment.

Query parameters
fromstringOptional

Start of the range (UTC, inclusive). A date (2026-10-01, midnight) or an RFC 3339 date-time (2026-10-01T08:30:00Z). Rounded down to 10 minutes. Defaults to the first day of the current month.

Example: 2026-10-01
tostringOptional

End of the range (UTC). A date means the whole day is included (2026-10-06 = until 2026-10-07T00:00:00Z); a date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today. The range is limited to 100 days.

Example: 2026-10-06
countrystringOptional

ISO 3166-1 alpha-2 country code

subscription_idstringOptional
product_idstringOptional
plan_idstringOptional
usernamestring[]Optional

Limit to these sub-users (API keys)

statusinteger[]Optional

Only requests that ended with these HTTP status codes

status_notinteger[]Optional

Exclude requests that ended with these HTTP status codes

limitinteger · min: 1 · max: 50OptionalDefault: 10
Responses
200

OK

application/json
get/api/v3/stats/domains
GET /api/v3/stats/domains HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "domains": [
    {
      "domain": "text",
      "failed": 1,
      "succeeded": 1
    }
  ],
  "filter": {
    "country": "text",
    "from": "2026-01-01T00:00:00.000Z",
    "interval": "day",
    "plan_id": "text",
    "product_id": "text",
    "status": [
      1
    ],
    "status_not": [
      1
    ],
    "subscription_id": "text",
    "to": "2026-01-01T00:00:00.000Z",
    "username": [
      "text"
    ]
  }
}

Traffic per country in the range

get
Authorizations
AuthorizationstringRequired

Bearer authentication with sentinel token for users.

You can use the following command to get the bearer token:

curl -d '{"username":"<username>", "password":"<password>", "pool":"<pool>"}' -H "Content-Type: application/json" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'

Substitute <username>, <password> and <pool> with your credentials. Use sentinel or sentinel-testnet as depending on the environment.

Query parameters
fromstringOptional

Start of the range (UTC, inclusive). A date (2026-10-01, midnight) or an RFC 3339 date-time (2026-10-01T08:30:00Z). Rounded down to 10 minutes. Defaults to the first day of the current month.

Example: 2026-10-01
tostringOptional

End of the range (UTC). A date means the whole day is included (2026-10-06 = until 2026-10-07T00:00:00Z); a date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today. The range is limited to 100 days.

Example: 2026-10-06
countrystringOptional

ISO 3166-1 alpha-2 country code

subscription_idstringOptional
product_idstringOptional
plan_idstringOptional
usernamestring[]Optional

Limit to these sub-users (API keys)

Responses
200

OK

application/json
get/api/v3/stats/countries
GET /api/v3/stats/countries HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "countries": [
    {
      "bytes": 1,
      "country": "text"
    }
  ],
  "filter": {
    "country": "text",
    "from": "2026-01-01T00:00:00.000Z",
    "interval": "day",
    "plan_id": "text",
    "product_id": "text",
    "status": [
      1
    ],
    "status_not": [
      1
    ],
    "subscription_id": "text",
    "to": "2026-01-01T00:00:00.000Z",
    "username": [
      "text"
    ]
  }
}

Was this helpful?